# BackgroundDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for BackgroundDrawer:
[legend]

List of all members.

## Public Member Functions

| draw ()
| makeColor ()

## Detailed Description

Definition at line 15 of file BackgroundDrawer.class.php.

## Member Function Documentation

BackgroundDrawer::draw | ( |  | ) | `[abstract]`

Reimplemented in CellBackgroundDrawer, CircleBackgroundDrawer, RandomLinesBackgroundDrawer, and WavesBackgroundDrawer.

BackgroundDrawer::makeColor | ( |  | ) |

Returns:
  Color

Definition at line 22 of file BackgroundDrawer.class.php.

References Drawer::getTuringImage().

Referenced by RandomLinesBackgroundDrawer::draw(), CellBackgroundDrawer::draw(), CircleBackgroundDrawer::drawCircle(), and WavesBackgroundDrawer::drawWave().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/BackgroundDrawer.class.php